org.apache.ode.bpel.compiler

## Class ForEachGeneratorMessages

- java.lang.Object
- - java.util.ResourceBundle
  - - org.apache.ode.utils.msg.MessageBundle
    - - org.apache.ode.bpel.compiler.api.CompilationMessageBundle
      - - org.apache.ode.bpel.compiler.ForEachGeneratorMessages

-     public class ForEachGeneratorMessages
      extends CompilationMessageBundle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForEachGeneratorMessages()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompilationMessage` | `errForEachAndScopeVariableRedundant(java.lang.String couterName)` The <reply> must specify a reply message.
    `CompilationMessage` | `errMissingScopeinForeach()`

    - ### Methods inherited from class org.apache.ode.bpel.compiler.api.CompilationMessageBundle

      `formatCompilationMessage`

    - ### Methods inherited from class org.apache.ode.utils.msg.MessageBundle

      `format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForEachGeneratorMessages

          public ForEachGeneratorMessages()

  - ### Method Detail

    - #### errForEachAndScopeVariableRedundant

          public CompilationMessage errForEachAndScopeVariableRedundant(java.lang.String couterName)

      The <reply> must specify a reply message.

    - #### errMissingScopeinForeach

          public CompilationMessage errMissingScopeinForeach()